Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.utility
Class FrameBufferObject

    java.lang.Object
      de.grogra.imp3d.glsl.utility.FrameBufferObject

    public class FrameBufferObject

extends java.lang.Object

Constructor Summary
`FrameBufferObject()`

Method Summary
`void` | `attachDepthOnly(OpenGLState glState, FBOAttachment att)`
`void` | `attachDepthStencil(OpenGLState glState, FBOAttachment att)`
`void` | `attachDrawBuffer(OpenGLState glState, FBOAttachment att, int where)`
`void` | `attachStencilOnly(OpenGLState glState, FBOAttachment att)`
`void` | `bind(OpenGLState glState)`
`void` | `bindAllAttachmentsAsTextures(OpenGLState glState)`
`void` | `bindAllAttachmentsAsTextures(OpenGLState glState, int upTo)`
`void` | `bindAllAttachmentsAsTextures(OpenGLState glState, int upTo, int offset)` Binds all 4 DrawBuffer-Attachments as Textures to Units 0 to 3 only works if at least 4 Textures are attached.
`void` | `bindAttachmentAsTexture(OpenGLState glState, int which, int where)` Binds an Attachments as Texture to Unit `where`
`void` | `create(OpenGLState glState)`
`void` | `delete(OpenGLState glState, boolean javaonly)`
`void` | `deleteAttachments(OpenGLState glState, boolean javaonly)`
`void` | `drawBuffer(OpenGLState glState, int which)` Sets this FBO as active and sets Attachment `which as current drawBuffer`
`void` | `drawBuffers(OpenGLState glState, int upTo)`
`void` | `drawBuffers(OpenGLState glState, int upTo, int offset)` Sets this FBO as active and sets Attachments 0 up to `upTo as current drawBuffers`
`int` | `estimateSizeInByteForColor()`
`FBOAttachment` | `getAttachment(int i)`
`boolean` | `isComplete(OpenGLState glState)`
`void` | `resizeAttachments(OpenGLState glState)` Only resizes color attachments
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameBufferObject

    public FrameBufferObject()

Method Detail

### attachDepthOnly

    public void attachDepthOnly(OpenGLState glState,
                                FBOAttachment att)

### attachDepthStencil

    public void attachDepthStencil(OpenGLState glState,
                                   FBOAttachment att)

### attachDrawBuffer

    public void attachDrawBuffer(OpenGLState glState,
                                 FBOAttachment att,
                                 int where)

### attachStencilOnly

    public void attachStencilOnly(OpenGLState glState,
                                  FBOAttachment att)

### bind

    public void bind(OpenGLState glState)

### bindAllAttachmentsAsTextures

    public void bindAllAttachmentsAsTextures(OpenGLState glState)

### bindAllAttachmentsAsTextures

    public void bindAllAttachmentsAsTextures(OpenGLState glState,
                                             int upTo)

### bindAllAttachmentsAsTextures

    public void bindAllAttachmentsAsTextures(OpenGLState glState,
                                             int upTo,
                                             int offset)

  Binds all 4 DrawBuffer-Attachments as Textures to Units 0 to 3 only works if at least 4 Textures are attached.

  Parameters:
    `glState` -

### bindAttachmentAsTexture

    public void bindAttachmentAsTexture(OpenGLState glState,
                                        int which,
                                        int where)

  Binds an Attachments as Texture to Unit `where`

  Parameters:
    `glState` -
    `which` - No of Attachment that should be bound
    `where` - Which Texture Unit to bind to

### create

    public void create(OpenGLState glState)

### delete

    public void delete(OpenGLState glState,
                       boolean javaonly)

### deleteAttachments

    public void deleteAttachments(OpenGLState glState,
                                  boolean javaonly)

### drawBuffer

    public void drawBuffer(OpenGLState glState,
                           int which)

  Sets this FBO as active and sets Attachment `which as current drawBuffer

  `
  Parameters:
    `glState` -
    `which` -

### drawBuffers

    public void drawBuffers(OpenGLState glState,
                            int upTo)

### drawBuffers

    public void drawBuffers(OpenGLState glState,
                            int upTo,
                            int offset)

  Sets this FBO as active and sets Attachments 0 up to `upTo as current drawBuffers

  `
  Parameters:
    `glState` -
    `upTo` -
    `offset` -
  See Also:
    `drawBuffer(OpenGLState, int)`

### estimateSizeInByteForColor

    public int estimateSizeInByteForColor()

### getAttachment

    public FBOAttachment getAttachment(int i)

### isComplete

    public boolean isComplete(OpenGLState glState)

### resizeAttachments

    public void resizeAttachments(OpenGLState glState)

  Only resizes color attachments

  Parameters:
    `glState` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD